{
  config,
  pkgs,
  lib,
  ...
}: {

  imports = [
    ./zsh
  ];
  # Base home configuration for all environments
  
  home = {
    username = "laurent";
    homeDirectory = "/home/laurent";
    stateVersion = "24.05";
  };
  

  programs.home-manager.enable = true;
  
  # Common programs for all environments
  programs.git = {
    enable = true;
    userName = "Laurent Le Houerou";
    userEmail = "laurent@lehouerou.net";
  };
  
  # Common packages for all environments
  home.packages = with pkgs; [
    btop
    neovim
    lazygit
    eza
    fzf
    ripgrep
    zoxide
  ];
} 