{
    pkgs,
    ...
}: {
    # Desktop-specific configuration that builds on the base
    
    # Include i3 window manager
    services.xserver = {
        enable = true;
        windowManager.i3 = {
            enable = true;
            extraPackages = with pkgs; [
                rofi
                polybar
                polybar-pulseaudio-control
                zenity
            ];
        };
        displayManager = {
            lightdm.enable = true;
        };
        xkb = {
            layout = "fr";
            variant = "";
        };
    };

    services.displayManager.defaultSession = "none+i3";

    # Additional desktop-specific packages
    environment.systemPackages = with pkgs; [
        firefox
        libreoffice
        vlc
        gimp
    ];

    # Enable sound
    sound.enable = true;
    hardware.pulseaudio.enable = true;

    # Enable bluetooth
    hardware.bluetooth.enable = true;
    services.blueman.enable = true;
} 